"Heartbleed" Security Flaw

The patch for the widely publicised “Heartbleed” security flaw has been applied to all our services running OpenSSL. If you logged in through this page between 19 February and 9 April 2014 we recommend that you consider changing your password, as a precaution. Please visit www.bcs.org/password if you would like to do this. Read more about the Heartbleed security flaw www.bcs.org/content/conWebDoc/52484.


Service status updates are published on Twitter: @BCSSupport